package com.sunxung.factoring.entity.salescontractmanagement.vo;

import java.util.List;

/**
 * @Description 签署确认Va类
 * @Author Yafan Wang
 * @Date 2024/1/12 11:03
 */
public class SalesSignConfirmVo {

    /** 电子签个人id **/
    private Long id;

    /**
     * 签署人名称
     */
    private String name;

    /**
     * 电子签客户编号
     */
    private String fddCustomerId;

    /**
     * 认证链接
     */
    private String authUrl;

    /**
     * 认证短链接
     */
    private String shortAuthUrl;

    /**
     * 电子签认证状态 0：未认证 1：已认证
     */
    private Integer authStatus;

    /**
     * 签署短链接
     */
    private String shortContractLink;

    /**
     * 签署状态
     */
    private Integer signStatus;

    /**
     * 合同名称
     */
    private List<String> contractNamelist;



    private String contractId;

    /**
     * 客户合同交易id
     */
    private String transactionId;

    /**
     * 签署结论 1完成
     */
    private Integer signConclusion;

    /**
     * 说明
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public String getShortAuthUrl() {
        return shortAuthUrl;
    }

    public void setShortAuthUrl(String shortAuthUrl) {
        this.shortAuthUrl = shortAuthUrl;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }

    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public List<String> getContractNamelist() {
        return contractNamelist;
    }

    public void setContractNamelist(List<String> contractNamelist) {
        this.contractNamelist = contractNamelist;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getSignConclusion() {
        return signConclusion;
    }

    public void setSignConclusion(Integer signConclusion) {
        this.signConclusion = signConclusion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
